---
title: Event formats: COS
slug: apis/webhooks/cos-webhooks/event-formats-cos
description: Event payloads use two formats: basic (minimal fields, up to 50 resources) and extended (full details included, up to 1,000 resources).
docTags: 
createdAt: 2025-04-23T12:05:17.633Z
---

## Basic and extended formats

An event payload is delivered in a standard format and contains the resources it's reporting on. Our system supports basic and extended formats.

The table below shows the different fields included in the event together with descriptions and explanations of the information they represent.

| Column          | Description                                                                                                                                                                                                                                                                                                                         |
| --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id              | The unique ID for the event. In GUID format.                                                                                                                                                                                                                                                                                        |
| eventName       | The name of the event                                                                                                                                                                                                                                                                                                               |
| status          | This column shows the event status, which could be:<br />- **Pending**: The event has been created, but no attempt to send it has been made yet<br />- **Success**: The event was successfully sent to the registered URL (internal only)<br />- **Failed**: The event could not be delivered to the registered URL (internal only) |
| createdAt       | The date and time the event was created                                                                                                                                                                                                                                                                                             |
| lastAttemptedAt | The date and time the event was last sent                                                                                                                                                                                                                                                                                           |
| partnerId       | The unique Cross River identification number for the partner resource                                                                                                                                                                                                                                                               |
| resources       | Refers to the resource relating to the event. For example, an account that was opened. It contains the API URI that triggered the event.                                                                                                                                                                                            |
| details         | Contains information related to the API call. These details are only displayed in an extended webhook.                                                                                                                                                                                                                              |

## Basic format

Basic events have a small payload, excluding additional details.&#x20;

They can deliver up to 50k resources at once.

The ID in the resources object (in this example 73da01c7-b85b-4a58-9395-b04900de43cf) corresponds to the `id` field returned in the `POST /v1/payments` response body. This payment `id` is used to track the payment.

:::CodeblockTabs
Basic

```json
{
  "id": "51d2e4e8-5fee-4ad8-8b03-b1c6012a8459",
  "eventName": "Ach.Payment.Sent",
  "status": "Pending",
  "partnerId": "1e5d3f04-ae24-4af6-9e30-aecf012b99dd",
  "createdAt": "2024-08-08T14:06:52.013-04:00",
  "resources": [
    "ach/v1/payments/55f641cf-102b-4920-83fd-b1c6012a3d2d"
  ],
}
```
:::

## Extended format

This format returns all the information included in the basic format and a `details` object. The `details `object includes information relevant to the event type.&#x20;

They can deliver up to 1k resources at once.

We recommend using extended webhooks for all `xxx.xxx.Received` events.

**Example**

`ACH.Payment.Sent` webhook event in the extended webhook format.

- The first part of the webhook event payload provides information about the webhook event itself.
- The `resources` object of the webhook event shows information about the ACH payment.
- The `details` object gives specific information.

:::CodeblockTabs
Extended

```json
{
  "id": "51d2e4e8-5fee-4ad8-8b03-b1c6012a8459",
  "eventName": "Ach.Payment.Sent",
  "status": "Pending",
  "partnerId": "1e5d3f04-ae24-4af6-9e30-aecf012b99dd",
  "createdAt": "2024-08-08T14:06:52.013-04:00",
  "resources": [
    "ach/v1/payments/55f641cf-102b-4920-83fd-b1c6012a3d2d"
  ],
  "details": [
    {
      "paymentId": "55f641cf-102b-4920-83fd-b1c6012a3d2d",
      "coreTransactionId": "fddea7f7-556e-4c93-acc4-b1c6012a6bf3",
      "memoPostId": "fddea7f7-556e-4c93-acc4-b1c6012a6bf3",
      "clientBatchId": null,
      "clientBatchSequence": null,
      "accountNumber": "2151546989",
      "postingCode": null,
      "clientIdentifier": null,
      "purpose": null,
      "fedBatchId": "29f4b78f-f056-4ac5-9a4e-b1c6012a60d2",
      "fedBatchSequence": null
    }
  ]
}
```
:::



